#
# Copyright (c) 2019 Jan Van Winkel <jan.van_winkel@dxplore.eu>
#
# SPDX-License-Identifier: Apache-2.0
#

menuconfig QRCODEGEN
	bool "QR Code Generation"
	depends on NEWLIB_LIBC || NATIVE_APPLICATION
	help
	  Enable QR Code Generation library

if QRCODEGEN

config APP_LINK_WITH_QRCODEGEN
	bool "Link 'app' with QR Code Generation Library"
	default y
	help
	  Add QR code generation header files to the 'app' include path. It may be
	  disabled if the include paths for QR code generation are causing aliasing
	  issues for 'app'.

endif # QRCODEGEN
